<?php

namespace Lc\SovBundle\Model\Cms;

use Doctrine\ORM\Mapping as ORM;
use Gedmo\Mapping\Annotation as Gedmo;
use Lc\SovBundle\IModel\User\UserInterface;

trait BlameableTrait
{

        /**
         * @Gedmo\Blameable(on="create")
         * @ORM\ManyToOne(targetEntity="App\Entity\User")
         * @ORM\JoinColumn(nullable=false)
         */
        protected $createdBy;

        /**
         * @Gedmo\Blameable(on="update")
         * @ORM\ManyToOne(targetEntity="App\Entity\User")
         * @ORM\JoinColumn(nullable=false)
         */
        protected $updatedBy;


        public function getCreatedBy(): ?UserInterface
        {
                return $this->createdBy;
        }

        public function setCreatedBy(?UserInterface $createdBy): self
        {
                $this->createdBy = $createdBy;

                return $this;
        }

        public function getUpdatedBy(): ?UserInterface
        {
                return $this->updatedBy;
        }

        public function setUpdatedBy(?UserInterface $updatedBy): self
        {
                $this->updatedBy = $updatedBy;

                return $this;
        }

}